#include<iostream>
#include<assert.h>
#include<vector>
#define MAXN 2000
#define MAX 2000000
using namespace std;
int f[MAX+1];
bool erat[MAX+1];
long long int a[MAX+1];
vector <int> primes;
void gcd_convolution (long long int a[], int max1) {
    for (auto p : primes) {
        if (p>max1) break;
        for (int i=max1/p; i>=1; i--) {
            a[i]+=a[i*p];
        }
    }

    for (int i=1; i<=max1; i++) {
        a[i]*=a[i];
    }
    for (auto p : primes) {
        if (p>max1) break;
        for (int i=1; i<=max1; i++) {
            a[i]-=a[i*p];
        }
    }
    /*for (int i=1; i<=max1; i++) {
        cout << a[i] << " ";
    }*/
}
int main () {
    for (int i=1; i<=MAX; i++) {
        f[i]=i;
    }
    for (int i=2; i*i<=MAX; i++) {
        if (erat[i]==true) continue;
        for (int j=i*i; j<=MAX; j+=i) {
            erat[j]=true;
            for (int cnt=1; ; cnt++) {
                if (f[j]%i!=0) break;
                if ((f[j]%(i*i)!=0)&&(cnt%2!=0)) break;
                f[j]/=i;
            }
        }
    }
    for (int i=2; i<=MAX; i++) {
        if (erat[i]==false) primes.push_back(i);
    }

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n,max1=-1;
    cin >> n ;
    assert((1<=n)&&(n<=2000));
    for (int i=0; i<n; i++) {
        int num;
        cin >> num ;
        assert((1<=num)&&(num<=2e6));
        a[f[num]]+=f[num];
        max1=max(max1,f[num]);
        //cout << f[num] << " ";
    }
    gcd_convolution(a,max1);
    long long int ans=0;
    for (int i=1; i<=max1; i++) {
        ans+=a[i]/i/i;
    }
    cout << ans ;
    cout << endl ;
    return 0;
}
