#include<iostream>
#include<random>
#define MAXN 2000
#define MAX 2000000
using namespace std;
int f[MAX+1];
long long int a[MAX+1];
void gcd_convolution (long long int a[], int max1) {
    for (int i=1; i<=max1; i++) {
        for (int j=2*i; j<=max1; j+=i) {
            a[i]+=a[j];
        }
    }
    for (int i=1; i<=max1; i++) {
        a[i]*=a[i];
    }
    for (int i=max1; i>=1; i--) {
        for (int j=2*i; j<=max1; j+=i) {
            a[i]-=a[j];
        }
    }
    /*for (int i=1; i<=max1; i++) {
        cout << a[i] << " ";
    }*/
}
int main () {
    for (int i=1; i<=MAX; i++) {
        f[i]=i;
    }
    for (int i=2; i*i<=MAX; i++) {
        for (int j=i*i; j<=MAX; j+=i*i) {
            for (int cnt=1; ; cnt++) {
                if (f[j]%i!=0) break;
                if ((f[j]%(i*i)!=0)&&(cnt%2!=0)) break;
                f[j]/=i;
            }
        }
    }

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n,max1=-1,max2;
    cin >> n ;//>> max2 ;
    //cout << n << endl ;
    //mt19937 rnd(42);
    for (int i=0; i<n; i++) {
        int num;
        cin >> num ;
        //cout << rnd()%max2+1 << " ";
        a[f[num]]+=f[num];
        max1=max(max1,f[num]);
        //cout << f[num] << " ";
    }
    //cout << endl ;
    gcd_convolution(a,max1);
    long long int ans=0;
    for (int i=1; i<=max1; i++) {
        ans+=a[i]/i/i;
    }
    cout << ans ;
    cout << endl ;
    return 0;
}
