#include<iostream>
#include<vector>
#define MAXN 10000
#define MAX 2000000
using namespace std;
bool erat[MAX+1];
long long int a[MAX+1],b[MAX+1];
vector <int> primes;
void lcm_convolution (long long int a[], long long int b[], int n) {
    for (auto p : primes) {
        if (p>n) break;
        for (int i=1; i<=n/p; i++) {
            a[i*p]+=a[i];
            b[i*p]+=b[i];
        }
    }

    for (int i=1; i<=n; i++) {
        a[i]*=b[i];
    }
    for (auto p : primes) {
        if (p>n) break;
        for (int i=n/p; i>=1; i--) {
            a[i*p]-=a[i];
        }
    }
    for (int i=1; i<=n; i++) {
        cout << a[i] << " ";
    }
    cout << endl ;
}
int main () {
    for (int i=2; i<=MAX; i++) {
        if (erat[i]==true) continue;
        primes.push_back(i);
        for (int j=2*i; j<=MAX; j+=i) {
            erat[j]=true;
        }
    }

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin >> n ;
    for (int i=1; i<=n; i++) {
        cin >> a[i] ;
    }
    for (int i=1; i<=n; i++) {
        cin >> b[i] ;
    }
    lcm_convolution(a,b,min<int>(n*n,2e6));
    cout << endl ;
    return 0;
}
